Bug 13750 - Holds queue: Always show branch name, not branch code
Summary: Holds queue: Always show branch name, not branch code
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-22 10:49 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13750: Holds queue - Show branch name instead of branch code (1.42 KB, patch)
2015-02-22 10:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13750: Holds queue - Show branch name instead of branch code (1.49 KB, patch)
2015-02-24 05:19 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 13750: Holds queue - Show branch name instead of branch code (1.55 KB, patch)
2015-02-25 11:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13750: Fix capitalization All vs ALL (1.16 KB, patch)
2015-02-25 11:25 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-02-22 10:49:45 UTC
When limiting the holds queue to one branch, on top of the table it displays:

X items found for <branchcode>

This should show the branch name instead of the code, as the branch name is also shown inside the holds table.
Comment 1 Katrin Fischer 2015-02-22 10:52:48 UTC Comment hidden (obsolete)
Comment 2 Brendan Gallagher 2015-02-24 05:19:03 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-02-25 11:25:19 UTC
Created attachment 36160 [details] [review]
Bug 13750: Holds queue - Show branch name instead of branch code

When the holds queue report is limited to one library, it shows
<cound> items found for <branchcode>

With the patch applied, the branch name is shown instead of the code.

To test:
- Go to circulation > Holds queue
- Limit to one branch with holds waiting to be processed
- Confirm the string has changed to show the branch name

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Jonathan Druart 2015-02-25 11:25:25 UTC
Created attachment 36161 [details] [review]
Bug 13750: Fix capitalization All vs ALL

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Tomás Cohen Arazi 2015-03-07 21:13:45 UTC
Patches pushed to master.

Thanks Katrina!
Comment 6 Chris Cormack 2015-03-13 22:26:27 UTC
Pushed to 3.18.x will be in 3.18.5